#ifndef NPSTAT_BOUNDARYINCLUSION_HH_
#define NPSTAT_BOUNDARYINCLUSION_HH_

/*!
// \file BoundaryInclusion.hh
//
// \brief Enumeration of possible boundary inclusions for an interval
//
// Author: I. Volobouev
//
// September 2022
*/

namespace npstat {
    enum BoundaryInclusion
    {
        INCLUDE_LEFT_BOUNDARY = 0,
        INCLUDE_RIGHT_BOUNDARY,
        INCLUDE_BOTH_BOUNDARIES,
        INCLUDE_NO_BOUNDARIES
    };
}

#endif // NPSTAT_BOUNDARYINCLUSION_HH_
